function adiabat_stat
% To be abel to solve at Tin=90 we need a stationary model
clear all
close all
clc
tutorial=1;

konstanter
save('konstanter')
komponenter={'acetylene (C2H2)', 'ethylene (C4H2)', 'methylacethylene (C3H4-ma)',...
    'propadien (C3H4-pd)'};

[zsol,usol] = ode15s(@adiabat_stat_diff,[0,L],uin);
disp(['Show outflow conditions'])
for i=1:size(usol,2)
    figure(i)
    if i==5 % T
        plot(zsol,usol(:,i)-273.15)
        title('Temperature [C]')
        disp(['T = ',num2str(usol(end,i)-273.15), 'C'])
    else
        plot(zsol,usol(:,i))
        title(['Molar fraction ', char(komponenter(i)),' [-]'])
        disp(['Molar fraction ', char(komponenter(i)),' = ',num2str(usol(end,i))])
    end
    xlabel('Axial distance [m]')
end

function DuDz = adiabat_stat_diff(z,u)
load konstanter
DuDz=zeros(5,1);

[cp,dH]=cpdh_t(u(5)); 
r_rates=rhast(u(5),u(1),u(3),yco);
rv=[r_rates(1),r_rates(2)-r_rates(1),r_rates(3),r_rates(4)];


DuDz(1:4)= -rv*A*rhob/Ftot;
DuDz(5) = A*rhob*(-r_rates*dH')/(Ftot*cp);