% Calculation of the average diffusivity in m2/s at the temperature T K and the pressure 
% P bar for the reactants in order:  C2H2 C2H4 C3H4-pd C3H4-ma 
% diffum = diffube(T,P)

function diffum = diffube(T,P)
% 
% Average diffusivity at T = 333 K and P = 25 bar
diffumr=[8.019 8.059 6.427 6.427]*1.0e-7;
%
% Average diffusivity at T and P
diffum=diffumr*25.0/P*(T/333.0)^1.75;
