% Calculation of mass - and heat transfer coefficient
% in the outer gas film
%function [hf,kcf] = hkcfilm(T)
function [hf,kcf] = hkcfilm(T)

Ftot=1394; molm=21.2e-3; Ptot=25.0e5; R=8.314;
robadd=1000; ropart=1500; depart=3.434e-3; Atv=pi;
SV=6*robadd/ropart/depart;
G=Ftot*molm/Atv; rogas=Ptot*molm/T/R; vgas=G/rogas;
visg=viskobe(T);
lambg=lambdabe(T);
Pbar=Ptot*1.0e-5;
diffum=diffube(T,Pbar);
cp=cpdh_t(T);
Re=G/SV/visg; Sc=visg/rogas./diffum; Pr=cp*visg/lambg/molm;
jd=0.57*Re^(-0.41); jh=1.076*jd;
hf=jh*cp*G/molm*Pr^(-2/3);
kcf=jd*vgas*Sc.^(-2/3);
