function icke_adiabat_stat
clear all;close all;clc
tutorial=2;
% To be abel to solve for Tin=90 we need to have a stationary modell
konstanter; save('konstanter')
komponenter={'acetylene (C2H2)', 'ethylene (C4H2)', 'methylacetylene (C3H4-ma)',...
    'propadien (C3H4-pd)'};

[zsol,usol] = ode15s(@adiabat_stat_diff,[0,L],uin);
disp(['Show outlet conditions'])
for i=1:size(usol,2)
    figure(i)
    if i==5 % T
        plot(zsol,usol(:,i)-273.15)
        title('Temperature [C]')
        disp(['T = ',num2str(usol(end,i)-273.15), 'C'])
    else
        plot(zsol,usol(:,i))
        title(['Molar fraction ', char(komponenter(i)),' [-]'])
        disp(['Molar fraction ', char(komponenter(i)),' = ',num2str(usol(end,i))])
    end
    xlabel('Axial distance [m]')
end

function DuDz = adiabat_stat_diff(z,u)
load konstanter
DuDz=zeros(5,1);

[cp,dH]=cpdh_t(u(5)); 
r_rates=rhast(u(5),u(1),u(3),yco);
rv=[r_rates(1),r_rates(2)-r_rates(1),r_rates(3),r_rates(4)];

Re_luft=dt*vluft/nyluft;
Pr_luft=Cpluft*myluft/lambdaluft;
alpha_luft=lambdaluft*0.027*Re_luft^0.805*Pr_luft^(1/3)/dt;

% alpha_gas
G_gas=Ftot*Xtotin*Mm'/A;
lambda_gas=lambdabe(u(5));
my_gas=viskobe(u(5));
alpha_gas=3.50*(dp*G_gas/my_gas)^0.7*exp(-4.6*dp/dt)*lambda_gas/dt;

alpha_tot=(1/alpha_gas+l/lambdal+1/alpha_luft)^-1;

DuDz(1:4)= -rv*A*rhob/Ftot;
DuDz(5) = A*rhob*(-r_rates*dH')/(Ftot*cp)-dt*pi*alpha_tot*(u(5)-Tute)/(Ftot*cp);