
	%Konstanter
	%To 				= Inflow temperature/Referens temperature (K)
	%uin				= Molar procent in of substance 1-4 (acetylene,
                         %ethylene, methylacethylene och propadien) and the referens temperature
	%yco				= Mol procent CO in. Included in the kinetics
                        %expression
	%L					= The first bed totat height (m)
	%rhob               = Bedd desnisty (kg/m3) [the mass of the bed/( the volyme of the bed including the hollow space)]
	%A					= The cross sectional area of the bed (m2)
	%Ftot               = Inlet molar flow rate (mol/s)
	%rhop               = Particle density (kg/m3) [partikelmassa/(partikelvolym inklusive hlrum)]
    %epstot             = Total porosity of the reactor (holes between the particles + holes in the particles)/(total volym);
    %epsb               = THe bed porosity (exclusive the holes in the particles)
	%P                  = Pressure in bed 1 (THe pressure drop is neglected)
	%gask               = General gas constant
	%cpkat              = The catalytic particles heat kapacity (J/kgK)
	%lambdal            = The reactor wall heat conductivity (w/mK)
	%dt                 = The reactor diameter (m)
	%nyluft             = The cinematic viscosity of dry air, T&D sid 33 (m2/s)
	%vluft              = Outdoor wind speed (m/s)
	%Cpluft             = The specific heat capacity of dry air, T&D sid 33 (J/kgK)
	%myluft             = The heat diffusivity of dry air, T&D sid 33 (Pas)
	%lambdaluft         = The heat conductivity of dry air, T&D sid 33 (W/mK)
	%Am                 = The envelop area of the reactor (m2)
	%l                  = The wall thickness of the reactor (m)
	%Xtotin             = Molar ratio in (all substances)
	%Xtotut             = Molar ratio out (all substances)
	%Mm                 = Molar mass for all susbstances (kg/mol)
	%Tute               = outdoor tetemperature (K)
	%dp                 = The diameter of the catalytic particles (m)
    %lambdaeff          = The heat conductivity of the catalytic particles (W/m K)
    %epsp               = The porosity of the particles;
   
disp('When a transient solver is used choose a temperature close to 333K,')
disp('when a stationary solver is used choose a temperature of 363K')         
To 				= input('choose inlet temperatur (K) :');
acetylen1        = input('inlet concentration of acetylene [%] 1) 0.0059, 2) optional:');
if acetylen1==1
        acetylen=0.0059;
    elseif acetylen1==2
        acetylen=input('choose inlet concentration of acetylene :');
end
Fin1            = input('inlet molar flow [mol/s] 1) 1394, 2) optional:');    
if Fin1==1
        Fin=1394;
    elseif Fin1==2
        Fin=input('choose inlet molar flow :');
end
uin				= [acetylen 0.3145 0.0021 0.0016 To];
yco				= 0.00054;
L				= 1.1;
rhob			= 1000;
dt				= 2.0;
A				= (dt/2)^2*pi;
Ftot			= Fin;
rhop			= 1500;
epsb			= 1-rhob/rhop;
P				= 25e5;
gask			= 8.3145;
cpkat   		= 2200;
lambdal			= 15;
nyluft			= 0.1255e-4;
if tutorial==2
    vluft1= input('wind speed [m/s] 1) 20, 2) optional:');
    if vluft1==1
        vluft= 20;
    elseif vluft1==2
        vluft=input('choose wind speed :');
end
else
    vluft				= 20;
end
Cpluft			= 1005;
myluft			= 0.1765e-4;
lambdaluft      = 2.35e-2;
Am				= 2*pi;
if tutorial==2
    l1= input('wall thickness [m] 1) 2.5e-2, 2) optional:');
    if l1==1
        l=2.5e-2;
    elseif l1==2
        l=input('choose wall thickness :');
end
else
    l				= 2.5e-2;
end
Xtotin			= [19.37 31.2 4.62 31.45 3.24 9.09 0.59 0.16 0.21 0.054]*1e-2;
Xtotut			= [19.44 31.12 4.62 31.57 3.24 9.16 0.43 0.15 0.18 0.055]*1e-2;
Mm				= [2.016 16.0426 30.0694 28.0536 44.0962 42.0804 26.0378 40.646 40.0646 28.01]*1e-3;
if tutorial==2
    Tute1= input('outdoor temp. [K] 1) 263 K, 2) optional:');
    if Tute1==1
        Tute= -10+273.15;
    elseif l1==2
        Tute=input('choose outdoor temp. :');
end
else
    Tute				= -10+273.15;
end

if tutorial==3 || 4
    dp1= input('particle diameter [m] 1) 0.003, 2) optional:');
    if dp1==1
        dp= 0.003;
    elseif dp1==2
        dp=input('choose particle diameter :');
end
else
    dp				= 0.003;
end
lambdaeff       = 0.15;

if tutorial==3 || 4
    epsp1= input('particle porosity 1) 0.38, 2) optional:');
    if epsp1==1
        epsp= 0.38;
    elseif epsp1==2
        epsp=input('choose particle porosity :');
end
else
    epsp				= 0.38;
end
epstot          = 1-(1-epsb)*(1-epsp);