% Calcualtion of the viscosity of the gas mixture in Pa s at the temperature T K
function viskom = viskobe(T)
%
% Data ordered:
%      H2 CH4 C2H6 C2H4 C3H8 C3H6 C2H2 C3H4-pd C3H4-ma
molbr=[19.4 31.2 4.6 31.5 3.2 9.1 .51 .15 .20]*1.0e-2;         %molar ratio
viskor=[1.03 1.48 1.16 1.28 1.00 1.06 1.28 1.06 1.03]*1.0e-5;  %viscosity at T=333 K
%
% The viscosity of the mixture at T=333 K
viskomr=sum(molbr.*viskor);
% 
% The viscosity of the mixture at the temperature T
viskom=viskomr*(T/333.0)^0.5;

